using SlatedGameToolkit.Framework.Graphics.OpenGL;

namespace SlatedGameToolkit.Framework.AssetSystem
{
    public interface IAssetData
    {
        /// <summary>
        /// Initializes the asset data and returns the useable variant of said data.
        /// </summary>
        /// <param name="GLContext">The Open GL Context to use.</param>
        /// <returns>The associated useable asset.</returns>
        IAssetUseable InitializeUseable(GLContext GLContext);
    }
}